Profil Bio, Fotoğraf ve Başlığı Güncelle
Profil Bio, Fotoğraf ve Başlığı Güncelle.
API Belgelerine Dön
/Twitter Profile Actions Endpoints
POST
/twitter/profileAPI Yetkilendirmesi
AuthorizationBearer token · headerzorunluTwexAPI genel Bearer Token kimlik bilgisi. İstek başlığı: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
İstek Gövdesi
zorunluapplication/jsoncookiestringzorunluKullanıcının kendi yetkilendirilmiş Twitter oturum kimlik bilgileri veya auth_token (BYOC — Bring Your Own Cookie). Sıfır kimlik bilgisi saklama ile durum bilgisi olmayan proxy yürütmesi. [Kimlik Doğrulama Güvenliği](/tr/authentication#write-operations--byoc-bring-your-own-cookie) ve [Cookie Nasıl Alınır](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie) sayfasına bakın.
namestring | anyKullanıcının görünen adı
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anywebsitestring | anyWebsite of the user
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anydescriptionstring | anyProfil biyografisi (Bio)
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anylocationstring | anyLocation of the user
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyprofile_imagestring | anyProfile image of the user
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyprofile_bannerstring | anyProfile banner of the user
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyproxystring | anyThe proxy to use.Please use high-quality residential proxies and avoid free proxies.Required.Example: http://username:password@ip:port . You can get proxy from: https://app.proxy-cheap.com/r/qiMxub
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyYanıtlar
200Başarılı Yanıt
codeintegerzorunluHTTP durum kodu (200 başarılı anlamına gelir)
msgstringzorunluYanıt mesajı (örn: 'success')
databooleanzorunluUç nokta tarafından döndürülen ana veri
422Parametre Doğrulama Hatası
detailValidationError[]Özellikleri gösterÖzellikleri gizle
Array of
ValidationErrorlocstring | integer[]zorunluÖzellikleri gösterÖzellikleri gizle
Array of
string | integerAny of:
string
stringinteger
integermsgstringzorunluYanıt mesajı (örn: 'success')
typestringzorunluinputanyctxobject⚡Etkileşimli KonsolPOST
⚡Etkileşimli Konsol / API TestiPOSTLive Console
🌐Hedef Sunucu:
https://api.twexapi.io● Canlı Ortam Hazır
✍️
Yazma İşlemi Kimlik Kılavuzu (TwexAPI Anahtarı + Twitter Çerezi)
1. TwexAPI Anahtarı (Bearer Token): İstek faturalandırması ve kimlik doğrulama için aşağıdaki "API Yetkilendirmesi"ne girin.
2. Twitter Hesabı Çerezi: Yazma işlemleri için (tweet, beğeni, takip), aşağıdaki cookie alanına hedef hesabın Çerezini (örn. auth_token=...; ct0=...) girin.
🔑API Yetkilendirmesi
📝İstek Gövdesiapplication/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
İstek
curl -X POST "https://api.twexapi.io/twitter/profile" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"cookie": "string",
"name": "string",
"website": "string",
"description": "string",
"location": "New York, USA",
"profile_image": "https://example.com/image.jpg",
"profile_banner": "https://example.com/banner.jpg",
"proxy": "http://username:password@ip:port"
}'const response = await fetch("https://api.twexapi.io/twitter/profile", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"cookie": "string",
"name": "string",
"website": "string",
"description": "string",
"location": "New York, USA",
"profile_image": "https://example.com/image.jpg",
"profile_banner": "https://example.com/banner.jpg",
"proxy": "http://username:password@ip:port"
})
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/profile",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"cookie": "string",
"name": "string",
"website": "string",
"description": "string",
"location": "New York, USA",
"profile_image": "https://example.com/image.jpg",
"profile_banner": "https://example.com/banner.jpg",
"proxy": "http://username:password@ip:port"
},
)Yanıt
{
"code": 200,
"msg": "success",
"data": true
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}